#!/usr/bin/env python

import os
import sys

if __name__ == '__main__':
    """Testing sf_convert
    usage:
    python test.py sffile
    """
    inpformat='mmCIF, CIF, MTZ, CNS, Xplor, HKL2000, Scalepack, Dtrek, TNT,\
       SHELX, SAINT, EPMR, XSCALE, XPREP, XTALVIEW, X-GEN, XENGEN, \
       MULTAN, MAIN, OTHER'
    
    outformat='mmCIF, MTZ, CNS, TNT, SHELX, EPMR, XTALVIEW, HKL2000, Dtrek, \
    XSCALE, MULTAN, MAIN, OTHER'

    inpfile=sys.argv[1]
    for oformat in outformat.split(','):
        arg='sf_convert -o %s -sf %s' % (oformat, inpfile)
        os.system(arg)
    
    
